/* You can add global styles to this file, and also import other style files */
@import url('assets/fonts/sahel/sahel.scss');
@import '~@angular/material/theming';

@include mat-core();
$app-primary: mat-palette($mat-blue, 500);
$app-accent:  mat-palette($mat-green, A400);
$app-background: mat-palette($mat-grey, A100);
$app-theme: mat-light-theme($app-primary, $app-accent);
@include angular-material-theme($app-theme);

$custom-typography: mat-typography-config(
  $font-family: 'sahel',
  $headline: mat-typography-level(48px, 64px, 900),
  $title: mat-typography-level(32px, 48px, bold),
  $caption: mat-typography-level(11px, 18px, 100),
  $body-1: mat-typography-level(16px, 24px, normal)
);
@include mat-core($custom-typography);

body {
    margin: 0px;
    font-family: sahel;
}

input, textarea {
    font-family: inherit;
}

.content-padding {
    padding: 16px;
}